<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3041
Name: Aktuelle Medikation
Description: Aktuelle Medikation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3041-2017-06-04T000000">
   <title>Aktuelle Medikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]
Item: (Medicationcurrent)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]"
         id="d19e1007-false-d22883e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Medicationcurrent): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Medicationcurrent): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3041'])&gt;=1">(Medicationcurrent): Element hl7:templateId[@root='1.2.276.0.76.10.3041'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3041'])&lt;=1">(Medicationcurrent): Element hl7:templateId[@root='1.2.276.0.76.10.3041'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Medicationcurrent): Element hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Medicationcurrent): Element hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:templateId[@root='1.2.276.0.76.10.3041']
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:templateId[@root='1.2.276.0.76.10.3041']"
         id="d19e1013-false-d22984e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3041')">(Medicationcurrent): Der Wert von @root MUSS '1.2.276.0.76.10.3041' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:code[(@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e1018-false-d23000e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(Medicationcurrent): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]"
         id="d19e1023-false-d23017e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="text()='Medikationsplan'">(Medicationcurrent): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikationsplan'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]"
         id="d19e1030-false-d23032e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3041
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:entry[@typeCode='DRIV'][hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4261']]]
Item: (Medicationcurrent)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3041']]/hl7:entry[@typeCode='DRIV'][hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4261']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3041-2017-06-04T000000.html"
              test="string(@typeCode)=('DRIV')">(Medicationcurrent): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>
</pattern>
